---
title: Specify Appointment Calendar
slug: fourkites-api-reference/specify-appointment-calendar
description: Learn how to set specific attributes for appointments in Appointment Manager using the Create Load API. This document includes code examples, expected responses, and instructions on configuring appointment types and matching them to calendar configuration
icon: {"apiMethod":"POST"}
createdAt: 2023-09-14T14:41:41.000Z
---

When creating a load with the Create Load API, you can also set a specific attributes about the appointment which can help assign that shipment to a given calendar configuration. Please continue reading below to see how the matching is done when creating a load/appointment and how that data matches to a calendar.

:::ApiMethodV2
```json
{
  "name": "Specify Appointment Calendar",
  "method": "POST",
  "url": "https://api.fourkites.com/api/v1/tracking",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "TTlScGKcCH940-7wDzoMh",
        "language": "curl",
        "code": "curl --location 'https://api.fourkites.com/api/v1/tracking' \\\n--header 'apikey: TEST_KEY' \\\n--data '{\n    \"load\": {\n        \"carrier\": \"0010\",\n        \"loadNumber\": \"NSH84757\",\n        \"nonTrackable\": true,\n        \"proNumber\": \"4638\",\n        \"referenceNumbers\": [\n            \"TU-2945\",\n            \"94BC8\",\n            \"Type: BLK DRY\"\n        ],\n        \"stops\": [\n            {\n                \"addressLine1\": \"300 S Riverside\",\n                \"addressLine2\": null,\n                \"city\": \"Chicago\",\n                \"country\": \"US\",\n                \"customer\": {\n                    \"id\": \"789789\",\n                    \"poNumbers\": [\n                        \"00210123OF-203503\"\n                    ]\n                },\n                \"earliestAppointmentTime\": \"\",\n                \"latestAppointmentTime\": \"\",\n                \"name\": \"FourKites HQ\",\n                \"postalCode\": \"60661\",\n                \"referenceNumbers\": [\n                    \"1234567\",\n                    \"2412422222\"\n                ],\n                \"shipTo\": \"1234\",\n                \"state\": \"IL\",\n                \"sequence\": \"1\",\n                \"stopReferenceId\": \"123\",\n                \"stopType\": \"pickup\"\n            },\n            {\n                \"addressLine1\": \"425 South Palos Verdes Street\",\n                \"addressLine2\": \"\",\n                \"city\": \"Los Angeles\",\n                \"country\": \"US\",\n                \"customer\": {\n                    \"id\": \"789789\",\n                    \"poNumbers\": [\n                        \"00210123OF-203503\"\n                    ]\n                },\n                \"earliestAppointmentTime\": \"\",\n                \"latestAppointmentTime\": \"\",\n                \"name\": \"Port of Longbeach\",\n                \"postalCode\": \"90731\",\n                \"referenceNumbers\": [\n                    \"1234567\",\n                    \"2412422222\"\n                ],\n                \"state\": \"CA\",\n                \"sequence\": \"2\",\n                \"stopReferenceId\": \"9876\",\n                \"stopType\": \"delivery\"\n            }\n        ],\n        \"tags\": [\n            \"temp\",\n            \"field2\",\n            \"Inbound\"\n        ]\n    },\n    \"trackingInfo\": {\n        \"trailerNumber\": \"643\",\n        \"truckNumber\": \"1085\"\n    }\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "TTlScGKcCH940-7wDzoMh"
  },
  "results": {
    "languages": [
      {
        "id": "USUPw6wC-OuAQLkbYF0hk",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"statusCode\": 200,\n  \"loadId\": \"test-company__0E4D56AD\",\n  \"message\": \"Non trackable load submitted\"\n}"
      }
    ],
    "selectedLanguageId": "USUPw6wC-OuAQLkbYF0hk"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "specify-appointment-calendar",
  "legacyHash": "Iw4fvQYBn_dcAx2wYMFbB"
}
```
:::

## Specify a Calendar in Appointment Manager

Before calendars can be specified on the API, different appointment "types" must be configured inside Appointment Manager. Please see the Appointment Manager product documentation for more information on configuring calendars.

Once a calendar(s) is configured, the following values are determined by the load you create:

- **Shipping Type**: This is determined by whether the stop aligned with facility is a "pickup" or "delivery". These fields align with the stopType in the API
- **Product Type**: This field can be passed inside the referenceNumbers array with a prefix of Type . Even if this field has been renamed in the UI, you can still send the prefix of Type and it will match the appropriate field. Below is an example:
- **Type**: `BLK DY`

When setting the Product Type in the referenceNumbers, it can be listed alongside other references. In the example below, it is the 3rd reference number in the array:

```javascript
"referenceNumbers": [
   "TU-2945",
   "94BC8",
   "Type: BLK DRY"
]
```

This will find a match to a configured **Product Type** and associate the appointment to an appropriate calendar. When editing an appointment, you can view the associated **Product Type** inherited from the API call:

::Image[]{src="https://api.archbee.com/api/optimize/2iLZ8zq0u-v-CPzk98WTR/a5vSgA85RTSvZDe_hPZQn_screenshot-2023-09-20-at-20836-pm.png" size="60" width="415" height="144" position="center" showCaption="false"}

The calendar which the appointment is eligible for will then be determined by the calendar's configuration. For more information on configuring Appointment Manager calendars, please reference the [product documentation](https://fourkites.my.site.com/hc/s/article/Appointment-Manager-Shipper-Portal#CalendarConfig):

::Image[]{src="https://api.archbee.com/api/optimize/2iLZ8zq0u-v-CPzk98WTR/7u7oVtgnoosxuh9rDwl2Z_screenshot-2023-09-20-at-22107-pm.png" size="80" width="566" height="439" position="center" showCaption="false"}

**HEADERS**

| apikey | TEST\_KEY<br /><br />API key generated on the FourKites developer portal |
| ------ | ------------------------------------------------------------------------ |
